
From: Patrick Boettcher <pb@linuxtv.org>

There was no pid-filter-count set for some devices - led to an error.  Thanks
to Gerolf Wendland.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/dibusb-mb.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-dvb_usb_properties-init-fix drivers/media/dvb/dvb-usb/dibusb-mb.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-dvb_usb_properties-init-fix	Mon Jun 27 15:37:08 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-mb.c	Mon Jun 27 15:37:08 2005
@@ -209,6 +209,8 @@ static struct dvb_usb_properties dibusb1
 
 static struct dvb_usb_properties dibusb1_1_an2235_properties = {
 	.caps = DVB_USB_HAS_PID_FILTER | DVB_USB_PID_FILTER_CAN_BE_TURNED_OFF | DVB_USB_IS_AN_I2C_ADAPTER,
+	.pid_filter_count = 16,
+
 	.usb_ctrl = CYPRESS_AN2235,
 
 	.firmware = "dvb-usb-dibusb-an2235-01.fw",
@@ -263,6 +265,8 @@ static struct dvb_usb_properties dibusb1
 
 static struct dvb_usb_properties dibusb2_0b_properties = {
 	.caps = DVB_USB_HAS_PID_FILTER | DVB_USB_PID_FILTER_CAN_BE_TURNED_OFF | DVB_USB_IS_AN_I2C_ADAPTER,
+	.pid_filter_count = 32,
+
 	.usb_ctrl = CYPRESS_FX2,
 
 	.firmware = "dvb-usb-adstech-usb2-02.fw",
_
